<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span>Transfer Unit</span>
            </h5>
            <p-tabView class="mpm-tab">
                <p-tabPanel header="Sales Note">
                    <p-accordion class="filter-accordion">
                        <p-accordionTab header="Filter" [selected]="true">
                            <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_">Market Name</label>
                                            <select class="form-control">
                                                <option value="1">Select Market Name</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_dateCreate">Tanggal</label>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar inputId="field_dateCreate3" name="input_dateCreate3"
                                                            dateFormat="dd-mm-yy" 
                                                            [showIcon]="true"></p-calendar>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar inputId="field_dateCreate4" name="input_dateCreate4"
                                                            dateFormat="dd-mm-yy" 
                                                            [showIcon]="true"></p-calendar>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_">Kode Tipe</label>
                                            <select class="form-control">
                                                <option value="1">Select Kode Tipe</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_" jhiTranslate="mpmApp.vehicleSalesOrder.status">Status</label>
                                            <select class="form-control">
                                                <option value="1">Open</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_">Warna</label>
                                            <select class="form-control">
                                                <option value="1">Select Warna</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="btn-filter-wrapper">
                                    <button type="button" class="btn btn-primary btn-filter">
                                        <span>Filter</span>
                                    </button>
                                </div>      
                        </p-accordionTab>
                    </p-accordion>
                    
                    <div class="nav justify-content-first">
                        <div class="nav-item">
                            <div>
                                <form name="searchForm" class="form-inline">
                                    <div class="input-group w-70 mt-2">
                                        <div class="btn-filter-wrapper pull-right">
                                            <button [routerLink]="['../request-note-pilih-cabang']"(click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                                <span>Create Request</span>
                                            </button>
                                            &nbsp;
                                            &nbsp;
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                       
                        <div class="nav-item">
                            <div>
                                <form name="searchForm" class="form-inline">
                                    <div class="input-group w-70 mt-2">
                                        <div class="btn-filter-wrapper pull-right">
                                            <button (click)="processToNotAvailable()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                                <span>Note Available</span>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    
                    <p-dataTable
                    [value]="unitDocumentMessage"
                    [editable]="true"
                    [rows]="itemsPerPage"
                    [paginator]="true"
                    [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20]"
                    [totalRecords]="totalItems"
                    [responsive]="true"
                    [lazy]="true"
                    expandableRows="false"
                    (onLazyLoad)="loadDataLazy($event)"
                    [(selection)]="selected"
                    class="width-filter">
                    <p-header>
                        <jhi-alert></jhi-alert>
                    </p-header>
                    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
                    <p-column header="Tanggal"  >
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.DtSalesNote"></div>
                                {{rowData.DtSalesNote|date:'dd-MMM-yyyy'}}
                        </ng-template>
                    </p-column>

                    <p-column header="No VSO" >
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.VSONo">
                            </div>{{rowData.VSONo}}
                        </ng-template>
                    </p-column>

                    <p-column header="Market Name">
                        
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.MarketName}}
                        </ng-template>
                    </p-column>
    
                    <p-column header="Kode Tipe">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.IdProduct">
                            </div>
                                {{rowData.IdProduct}}
                        </ng-template>
                    </p-column>

                    <p-column header="Warna">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.Color}}
                        </ng-template>
                    </p-column>

                    <p-column header="Qty">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.Qty}}
                        </ng-template>
                    </p-column>

                    <p-column header="Sales">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.SalesName}}
                        </ng-template>
                    </p-column>

                    <p-column header="Korsal">
                        
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.Korsal}}
                        </ng-template>
                    </p-column>
    
                    <p-column header="Status"  >
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.Status">
                            </div>
                            {{rowData.Status}}
                        </ng-template>
                    </p-column>
    
                    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                    </ng-template>
                    </p-column>
    
                    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                    </ng-template>
    
                </p-dataTable>
                </p-tabPanel>
                
                <p-tabPanel header="Request Note">
                        <jhi-transfer-unit-request-note></jhi-transfer-unit-request-note>
                </p-tabPanel>
                    
            </p-tabView>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>